@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

body{
  font-family: Inter;
  margin: 0;
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: hsl(236, 79%, 11%);
  position: relative;
}

.logo{
  position: absolute;
  top: 20px;
  z-index: 1;
  color: #fff;
}
.project{
  position: absolute;
  top: 20px;
  right: 10%;
  color: white;
}
.container{
  width: 400px;
  min-width: 90%;
  height: 60%;
  background:  linear-gradient(
    to top,
    rgb(39, 22, 90),
    hsl(234, 72%, 65%)
  );
  border-radius: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  }
  #input::placeholder{
  color: #fff;
  }
.container #input{
  width: 400px;
  max-width: 70%;
  height: 25px;
  top: 30px;
  padding: 10px 10px;
  background: transparent;
  border: 0.5px solid #111111;
  outline: none;
  border-radius: 10px;
  box-shadow: 0px 5px 5px #eee2;
  position: absolute;
}
.button-container {
  display: flex;
  justify-content: space-between;
  position: absolute;
  top: 120px;
  gap: 30px;
}

.button-container .upperCase,
.button-container .lowerCase,
.button-container .listen{
  border: none;
  padding: 10px 20px;
  border-radius: 10px;
  font-family: Inter;
  color: rgb(56, 56, 56);
  background: linear-gradient(
    to right,
    hsl(241, 100%, 89%),
    hsla(155, 87%, 64%, 0.5)
  );
  box-shadow: 3px 3px 10px rgb(177, 175, 175);
  cursor: pointer;
}

button img{
  width: 22px;
  margin-right: 60px;
}
.button-container .listen{
  position: relative;
  width: 100px;
}
.listen::after{
  content: 'Listen';
  position: absolute;
  transform: translateY(-22px);
  }

.button-container button:hover{
  background: linear-gradient(
    to right,
    hsl(241, 100%, 89%),
    hsla(155, 87%, 64%, 0.7)
  );
}
.result {
  position: absolute;
  margin-top: 50px;
  width: 200px;
  min-width: 70%;
  text-align: center;
  overflow-wrap: break-word;
  font-size: 0.8rem;
  color: rgba(0, 0, 0, 0.8);
  cursor: line;
 }

.copyright{
  position: absolute;
  color: rgba(255, 255, 255,0.6);
  bottom: 5px;
  font-size: 0.6rem;

 }

@media screen and (max-width: 400px) {
 .container {
  width: 90%;
}
.button-container{
  display: grid;
  gap: 20px;

}
.result{
  margin-top: 200px;
}
.button-container .listen{
  width: 120px;
  padding-bottom: 5px;
}

}